Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Interface ServletContextHandler.Decorator

All Known Implementing Classes:
  AnnotationDecorator, PlusDecorator

Enclosing class:
  ServletContextHandler

    public static interface ServletContextHandler.Decorator

Interface to decorate loaded classes.

Method Summary
`void` | `decorateFilterHolder(FilterHolder filter)`
`
`<T extends Filter> T`
` | `decorateFilterInstance(T filter)`
`
`<T extends java.util.EventListener> T`
` | `decorateListenerInstance(T listener)`
`void` | `decorateServletHolder(ServletHolder servlet)`
`
`<T extends Servlet> T`
` | `decorateServletInstance(T servlet)`
`void` | `destroyFilterInstance(Filter f)`
`void` | `destroyListenerInstance(java.util.EventListener f)`
`void` | `destroyServletInstance(Servlet s)`

Method Detail

### decorateFilterInstance

    <T extends Filter> T decorateFilterInstance(T filter)
                                            throws ServletException

  Throws:
    `ServletException`

### decorateServletInstance

    <T extends Servlet> T decorateServletInstance(T servlet)
                                              throws ServletException

  Throws:
    `ServletException`

### decorateListenerInstance

    <T extends java.util.EventListener> T decorateListenerInstance(T listener)
                                                               throws ServletException

  Throws:
    `ServletException`

### decorateFilterHolder

    void decorateFilterHolder(FilterHolder filter)
                              throws ServletException

  Throws:
    `ServletException`

### decorateServletHolder

    void decorateServletHolder(ServletHolder servlet)
                               throws ServletException

  Throws:
    `ServletException`

### destroyServletInstance

    void destroyServletInstance(Servlet s)

### destroyFilterInstance

    void destroyFilterInstance(Filter f)

### destroyListenerInstance

    void destroyListenerInstance(java.util.EventListener f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.